<?php

namespace App\Providers;

// use Illuminate\Support\Facades\Gate;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The model to policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        'App\Admin' => 'App\Policies\AdminPolicy',
        'App\Models\Cart' => 'App\Policies\OrdersPolicy',
        'App\Models\Permission' => 'App\Policies\PermissionsPolicy',
        'App\Models\Patient' => 'App\Policies\PatientPolicy',
        'App\Models\Role' => 'App\Policies\RolePolicy',
        'App\Models\PlanV1' => 'App\Policies\ProductsPolicy',
        'App\Models\Telemedpro' => 'App\Policies\ProvidersPolicy',
        'App\Models\Subscription' => 'App\Policies\SubscriptionPolicy',
        'App\Models\ProfileQuestion' => 'App\Policies\AnalyticsPolicy',
        'App\Models\Appointment' => 'App\Policies\AppointmentPolicy',
        'App\Models\Prescription' => 'App\Policies\PrescriptionsPolicy',
        'App\Models\Setting' => 'App\Policies\SiteSettingsPolicy',

    ];

    /**
     * Register any authentication / authorization services.
     */
    public function boot(): void
    {
        //
    }
}
